from azure.mgmt.resource import ResourceManagementClient
from .._common import service_principal_credentials
from typing import List
from .records import ResourceGroupData, ResourceGroup
from ..records import AzureClient


def process_resource_groups(groups: list) -> List[ResourceGroup]:
    return [ResourceGroupData(**group.as_dict()).__dict__ for group in groups]


def client(client: AzureClient, subscription_id: str) -> ResourceManagementClient:
    return ResourceManagementClient(service_principal_credentials(client=client), subscription_id)
